package com.nokia.sms.sgip.message;

import java.io.IOException;
import java.util.Arrays;

import org.apache.mina.core.buffer.IoBuffer;

public class UnknowMessage extends SgipMessage {
    private byte[] body;
  
  public IoBuffer getBuffer()
  {
    return null;
  }
  
  public void parseBody(IoBuffer ioBuffer)
    throws IOException
  {
    this.body = new byte[this.head.getMessageLength()];
    ioBuffer.get(this.body);
  }
  
  public String toString()
  {
    return "UnknowCommand [body=" + Arrays.toString(this.body) + ", head=" + this.head + "]";
  }
}
